
<!DOCTYPE html>
<html lang="en">
<head>
  <meta charset="utf-8">
  <meta name="viewport" content="width=device-width, initial-scale=1.0">
  <title>Android开发-API指南-&lt;category&gt; / 憋错料</title>

    <meta name="description" content="Android开发-API指南-&lt;category&gt; &lt; category &gt; 英文原文:http://developer.android.com/guide/topics/manifest/category-element.html 采集(更新)日期:2014-6-27 搬迁自原博客:http://blog.sina.com.cn/s/blog_48d491300100zmgy.html 语法: &lt;category android:name=string /&gt; 包含于: &lt;intent-filter&gt; 说明:  ...">
  

  <!-- <link rel="shortcut icon" href="/favicon.png"> -->  
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/bootstrap.css" rel="stylesheet">
  <link href="//pic.ikafan.com/staticx/biecuoliao/1/assets/css/style.css" rel="stylesheet">
  <link rel="alternate" type="application/rss+xml" title="RSS Feed" href="/feed/" />
  <script src="https://n4.ikafan.com/g/show.js"></script>
  <!-- HTML5 shim and Respond.js IE8 support of HTML5 elements and media queries -->
  <!--[if lt IE 9]>
  <script src="/assets/js/html5shiv.js"></script>
  <script src="/assets/js/respond.min.js"></script>
  <![endif]-->
<script>
var _hmt = _hmt || [];
(function() {
  var hm = document.createElement("script");
  hm.src = "https://hm.baidu.com/hm.js?1438792cdde0845a4a8fe9d36e3569f8";
  var s = document.getElementsByTagName("script")[0]; 
  s.parentNode.insertBefore(hm, s);
})();
</script>

 
</head>

<body>

  <div class="wrapper">

    <header id="header" class="container">
    
      <div id="logo">
        <a href="/"><img src="//pic.ikafan.com/staticx/biecuoliao/1/assets/logo.png?2" title="" /></a>
      </div><!-- /logo -->

      <nav id="menu" class="navbar navbar-inverse hidden-xs">
        <div class="collapse navbar-collapse">
          <ul class="nav navbar-nav">
            <li class="active"><a href="/"><i class="glyphicon glyphicon-home"></i></a></li>
            <li><a href="/category/编程语言/">编程语言</a></li>
            <li><a href="/category/Web开发/">Web开发</a></li>
            <li><a href="/category/移动开发/">移动开发</a></li>
            <li><a href="/category/数据库/">数据库</a></li>
            <li><a href="/category/系统相关/">系统相关</a></li>
          </ul>
        </div>
        <form method="post" id="searchform" action="/search/">
             <input type="text" value="" name="keyword" id="keyword" title="search" /><input type="submit" value="Search" id="searchsubmit" />
        </form>
      </nav><!-- /nav -->

    </header>
    <!-- /header -->


    
    <div class="container">
      <div class="row">    


<div id="main" class="col-md-8">


<h1 class="mtitle">Android开发-API指南-&lt;category&gt;</h1>
<div id="single_top"></div>
<script>insertAdIfNeeded();</script>
    	<section>
		<article class="clearfix">
		<h1>&lt; category &gt;</h1>
<p>英文原文：<a href="http://developer.android.com/guide/topics/manifest/category-element.html" rel="external nofollow noreferrer">http://developer.android.com/guide/topics/manifest/category-element.html</a><br />
采集（更新）日期：2014-6-27<br />
搬迁自原博客：<a href="http://blog.sina.com.cn/s/blog_48d491300100zmgy.html" rel="external nofollow noreferrer">http://blog.sina.com.cn/s/blog_48d491300100zmgy.html</a></p>
<dl>
<dt><strong>语法：</strong></dt>
<dd></p>
<pre>&lt;category android:name=string /&gt;</pre>
<p></dd>
<dt><strong>包含于：</strong></dt>
<dd><code><a href="http://www.cnblogs.com/popapa/p/android_intent-filter-element.html" rel="external nofollow noreferrer">&lt;intent-filter&gt;</a></code></dd>
<dt><strong>说明：</strong></dt>
<dd>在 Intent 过滤器中加入一个类别名称。 关于 Intent 过滤器和过滤器中类别的作用，详情请参阅 <a href="http://www.cnblogs.com/popapa/p/android_intents-filters.html" rel="external nofollow noreferrer">Intent 和 Intent 过滤器</a>。</dd>
<dt><strong>属性：</strong></dt>
<dd>
<dl>
<dt><code>android:name</code></dt>
<dd>类别的名称。 在 <code><a href="http://developer.android.com/reference/android/content/Intent.html" rel="external nofollow noreferrer">Intent</a></code> 类中用 <code>CATEGORY_<em>name</em></code> 常量定义定义了标准的类别。 通过在 <code>CATEGORY_</code> 后面的 <code><em>name</em></code> 前加上&ldquo;<code>android.intent.category.</code>&rdquo;前缀， 可以从这些常量中获取本属性所用到的名称。 例如字符串 <code>CATEGORY_LAUNCHER</code> 对应的常量即为&ldquo;<code>android.intent.category.LAUNCHER</code>&rdquo;。</p>
<p><strong>注意：</strong> 为了能够接收到隐式声明的 Intent ，Intent 过滤器中必须包含 <code><a href="http://developer.android.com/reference/android/content/Intent.html#CATEGORY_DEFAULT" rel="external nofollow noreferrer">CATEGORY_DEFAULT</a></code> 类型。 <code><a href="http://developer.android.com/reference/android/app/Activity.html#startActivity(android.content.Intent)" rel="external nofollow noreferrer">startActivity()</a></code> 和 <code><a href="http://developer.android.com/reference/android/app/Activity.html#startActivityForResult(android.content.Intent, int)" rel="external nofollow noreferrer">startActivityForResult()</a></code> 方法认为所有 Intent 都已声明了 <code><a href="http://developer.android.com/reference/android/content/Intent.html#CATEGORY_DEFAULT" rel="external nofollow noreferrer">CATEGORY_DEFAULT</a></code> 类型。如果未在 Intent 过滤器中声明该默认类型，则不会有隐式声明的 Intent 派发给你的 Activity 。</p>
<p>自定义的类别应该使用包名称作为前缀，以确保其唯一性。</p>
</dd>
</dl>
</dd>

<dt><strong>引入自：</strong></dt>
<dd>API 级别 1</dd>
<dt><strong>参阅：</strong></dt>
<dd> <code><a href="http://www.cnblogs.com/popapa/p/android_action-element.html" rel="external nofollow noreferrer">&lt;action&gt;</a></code><br />
<code><a href="http://www.cnblogs.com/popapa/p/android_data-element.html" rel="external nofollow noreferrer">&lt;data&gt;</a></code>
</dd>
</dl>				<div id="single_bottom"></div>
<script>insertAdIfNeeded();</script>
				<div id="time"><strong>时间：</strong> 2024-03-06 03:44:22 </div>
		</article>

		<!-- social network share -->

<!-- 		<div id="tags">
            <strong>Tags:</strong>         </div> -->
	</section>
	
	

		<div id="similar" class="row">

		<h3>Android开发-API指南-&lt;category&gt;的相关文章</h3>

						<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/35YKQj3.html" rel="bookmark">Android开发-API指南-&amp;lt&semi;application&amp;gt&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;application&gt; 英文原文:http://developer.android.com/guide/topics/manifest/application-element.html 采集(更新)日期:2014-5-30 更新下老的文档,祝贺下自己 42 岁的生日. 搬迁自原博客:http://blog.sina.com.cn/s/blog_48d491300100zmga.html 语法: &lt;application android:allowTaskReparenting=[&q			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDNY5p3.html" rel="bookmark">Android开发-API指南-&amp;lt&semi;provider&amp;gt&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;provider&gt; 英文原文:http://developer.android.com/guide/topics/manifest/provider-element.html 采集(更新)日期:2014-7-1 搬迁自原博客:http://blog.sina.com.cn/s/blog_48d491300100zmv5.html 语法: &lt;provider android:authorities=&quot;list&quot; android:enabled=[&quot;true&			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MBDOPg3.html" rel="bookmark">Android开发-API指南-&amp;lt&semi;uses-feature&amp;gt&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;uses-feature&gt; 英文原文:http://developer.android.com/guide/topics/manifest/uses-feature-element.html 采集(更新)日期:2014-7-7 搬迁自原博客:http://blog.sina.com.cn/s/blog_48d491300100zmwf.html 在本文中 Google Play 和基于设备特性的过滤机制 基于显式声明的特性需求进行过滤 基于隐含的特性需求进行过滤 对蓝牙特性的特殊处理 对应用			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4ALOob3.html" rel="bookmark">Android开发-API指南-应用程序开发基础</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Application Fundamentals 英文原文:http://developer.android.com/guide/components/fundamentals.html 采集日期:2014-04-16 搬迁自原博客:http://blog.sina.com.cn/s/blog_48d491300101h41p.html 在本文中 应用程序组件 激活组件 Manifest 文件 声明组件 声明应用程序的需求 应用程序资源 Android 应用程序是用 Java 语言编写的.And			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MyX1QY4.html" rel="bookmark">Android开发-API指南-&amp;lt&semi;compatible-screens&amp;gt&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;compatible-screens&gt; 英文原文:http://developer.android.com/guide/topics/manifest/compatible-screens-element.html 采集(更新)日期:2014-6-30 搬迁自原博客:http://blog.sina.com.cn/s/blog_48d491300100zmub.html 语法: &lt;compatible-screens&gt; &lt;screen android:screenSize=			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/47ZY5b3.html" rel="bookmark">Android开发-API指南-任务和回退栈</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Task 和 Back Stack 英文原文: http://developer.android.com/guide/components/tasks-and-back-stack.html 采集(更新)日期:2014-12-16 在本文中 保存 Activity 状态 管理多个 Task 指定启动模式 处理 affinity 清理回退栈k 启动任务 相关文章 Multitasking the Android Way 参阅 Android 设计 : 导航 &lt;activity&gt; manifest			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0dgAxnM.html" rel="bookmark">【最后一篇API译文】Android开发-API指南- Contacts Provider</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Contacts Provider 今年加入了某字幕组,加之杂事颇多,许久未添新文了,惭愧之极. 在听闻 Google 即将重返中国后,近日忽又发现官方网站正在放出 API 中文版,比如本文.当然不是大家所译,但至少句子结构较通顺,窃以为比 MSDN 中文版好些.虽有些生硬(比如将 Provider 译为“提供者”,有趣得紧),但好在前无古人,也许 Google 自此便统一了自己的中文术语也未可知.能让更多的国人精确领悟 Android 的精髓,肯定是好事,希望 Google 继续坚持. 这事应			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/0xxbAz0.html" rel="bookmark">Android开发-API指南-服务</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				Service 英文原文:http://developer.android.com/guide/components/services.html 采集(更新)日期:2014-12-23 原博客:http://blog.sina.com.cn/s/blog_48d49130010102pn.html 在本文中 概述 在manifest中声明服务 创建一个started服务 扩展IntentService类 扩展Service类 启动一个服务 终止一个服务 创建一个bound服务 向用户发送通知 在			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/4J91VY3.html" rel="bookmark">Android开发-API指南-&amp;lt&semi;service&amp;gt&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;service&gt; 英文原文:http://developer.android.com/guide/topics/manifest/service-element.html 采集(更新)日期:2014-7-2 搬迁自原博客:http://blog.sina.com.cn/s/blog_48d491300100zmva.html 语法: &lt;service android:enabled=[&quot;true&quot; | &quot;false&quot;] android:expor			</div>
		</article>
	</section>
				<section>
		<header>
			<h2 class="title">
                <a href="https://www.biecuoliao.com/pa/MDl69kM.html" rel="bookmark">Android开发-API指南-&amp;lt&semi;receiver&amp;gt&semi;</a>
			</h2>
		</header>
		<article class="clearfix">
									<div class="summary">
				&lt;receiver&gt; 英文原文:http://developer.android.com/guide/topics/manifest/receiver-element.html 采集(更新)日期:2014-7-2 搬迁自原博客:http://blog.sina.com.cn/s/blog_48d491300100zmv7.html 语法: &lt;receiver android:enabled=[&quot;true&quot; | &quot;false&quot;] android:ex			</div>
		</article>
	</section>
	
	</div><!-- /related -->
	


</div>
<!-- /main -->


<aside class="col-md-4">



	<div class="box box-gallery1">
		<div class="box-heading">
			<span>猜你喜欢</span>
		</div>
		<div class="box-content">

									<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/XMmz2K0.html" rel="bookmark" class="title">20145326蔡馨熠《网络对抗》&mdash;&mdash;恶意代码分析</a>
					<div>
						20145326蔡馨熠&lt;网络对抗&gt;--恶意代码分析 1.实验后回答问题 (1)如果在工作中怀疑一台主机上有恶意代码,但只是猜想,所以想监控下系统一天天的到底在干些什么.请设计下你想监控的操 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/r0aqQE0.html" rel="bookmark" class="title">Node&period;js异步读取txt文档</a>
					<div>
						一.源码 var fs=require('fs');fs.readFile('TxtFile.txt','utf-8',function(err,data){if(err){console.log(e ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/n0lPKE0.html" rel="bookmark" class="title">获取网页高度</a>
					<div>
						网页可见区域宽: document.body.clientWidth网页可见区域高: document.body.clientHeight网页可见区域宽: document.body.offsetWi ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4QWeZL0.html" rel="bookmark" class="title">关于android studio UID&lowbar;CHANGED错误</a>
					<div>
						最近使用android studio碰到个莫名其妙的问题,就是在run的时候无法加载到虚拟机或者是真机,对此我google和百度了下,有的说删除data里面的数据,有的说手机回复出厂设置,但是对我 来 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/38Ng1gM.html" rel="bookmark" class="title">维特是德的国是大家圣诞节</a>
					<div>
						﻿﻿ http://weheartit.com/jiuyibai/collections/62130108-2014-12-22 http://weheartit.com/bagouci/collec ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0jX8lD4.html" rel="bookmark" class="title">阅读《RobHess的SIFT源码分析：综述》笔记</a>
					<div>
						今天总算是机缘巧合的找到了照样一篇纲要性质的文章. 如是能早一些找到就好了.不过“在你认为为时已晚的时候,其实还为时未晚”倒是也能聊以自慰,不过不能经常这样迷惑自己,毕竟我需要开始跑了! 就照着这个大 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0n52KjM.html" rel="bookmark" class="title">POJ 2068 Nim&num;双人dp博弈</a>
					<div>
						http://poj.org/problem?id=2068 #include&lt;iostream&gt; #include&lt;cstdio&gt; #include&lt;cstring&g ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoxYvn0.html" rel="bookmark" class="title">Vs2012在Linux开发中的应用&lpar;11&rpar;&colon; 编译单个文件</a>
					<div>
						﻿﻿ 快乐虾 http://blog.csdn.net/lights_joy/ 欢迎转载,但请保留作者信息 当按Ctrl+F7编译单个文件的时候,同样会调用ClCompile任务,但有一个很奇怪的问题 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MoaXLk3.html" rel="bookmark" class="title">所做更改会影响共用模板Normal&period;dotm。是否保存此更改</a>
					<div>
						最近在每次关闭 word (我的是word 07)时,都提示“所做更改会影响共用模板 Normal.dotm.是否保存所做更改?”,困扰了我好久,今日终于解决了,其实很简单,打开word,点菜单栏工具 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0nPngK4.html" rel="bookmark" class="title">Libjingle 库</a>
					<div>
						Libjingle 是google talk voice(语音聊天) 和 p2p interoperability(点对点操作)库,是提供了google talk,p2p文件共享和语音呼叫能力的组件集 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0ekQLp4.html" rel="bookmark" class="title">可以输入也可以下拉选择的select</a>
					<div>
						网址:http://www.helloweba.com/view-blog-348.html 示例:http://www.helloweba.com/demo/2016/editable-select ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MgEXPR3.html" rel="bookmark" class="title">Xcode6下iOS单元测试&mdash;&mdash;XCTest和GHUnit框架简介和比较</a>
					<div>
						iOS单元测试(UnitTest) 在iOS中进行测试可以选择XCTest和GHUnit测试两种框架.XCTest集成在Xcode中,而GHUnit则是一个著名的开源框架. 所谓的单元测试,就是指把程 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0KvWpKM.html" rel="bookmark" class="title">mysql修改端口经验</a>
					<div>
						mysql更改端口修改/etc/my.cnf添加port=3308修改后如下[mysqld]datadir=/var/lib/mysqlsocket=/var/lib/mysql/mysql.sock ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/41wGYO0.html" rel="bookmark" class="title">解决weblogic错误&colon;java&period;sql&period;SQLRecoverableException&colon; IO Error&colon; Broken pipe</a>
					<div>
						首先说一下系统基础架构: 服务器:weblogic11g集群 数据库:oracle数据库Rac 出错信息: 1.java.sql.SQLRecoverableException: Closed Con ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MLRp5E3.html" rel="bookmark" class="title">基于cxf开发restful风格的Web Service</a>
					<div>
						一.写在前面 webservice一些简单的其他用法和概念,就不在这里赘述了,相信大家都可以在网上查到,我也是一个新手,写这篇文章的目的一方面是想记录自己成长的历程,另一方面是因为学习这个的时候花了点 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/MGDoeA0.html" rel="bookmark" class="title">防并发措施</a>
					<div>
						并发类型: 1.玩家A拥有一次领取道具类型,A同时发送100个领取道具的请求,结果收到多个道具 2.玩家B,C,D...Z多个玩家,都有资格领取到某限量(n个)道具,且各自发送请求,最终多于n个人领取 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/4pgKpx3.html" rel="bookmark" class="title">hdoj 3501 Calculation 2 【欧拉函数】</a>
					<div>
						Calculation 2 Time Limit: 2000/1000 MS (Java/Others)    Memory Limit: 32768/32768 K (Java/Others) To ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/M6v28vM.html" rel="bookmark" class="title">正则表达式基础及java使用</a>
					<div>
						正则表达式基础 正则表达式语法(1) 普通字符:字母,数字,汉子,下划线以及没有特殊定义的标点符号都是&quot;普通字符&quot;.表达式中的普通字符,在匹配一个字符串的时候,匹配与之相同的一个字 ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/0aoYXk4.html" rel="bookmark" class="title">mutiple cycle cpu &lpar;转&rpar;</a>
					<div>
						言简意赅 A single instruction enters the CPU at the Fetch stage and the PC is incremented in one clock c ...					</div>
				</div>
			</div>
						<div class="item clearfix">
										<div class="info"  style="max-width: 100%;" >
					<a href="https://www.biecuoliao.com/pa/385blZ4.html" rel="bookmark" class="title">64位debian系统下安装inodeClient</a>
					<div>
						linux下的inodeClient下载: 链接:http://pan.baidu.com/s/1jIoX6Zk 密码:vnws 里面包括一份说明书,一个32位的,一个64位的文件: 对于64位的客户 ...					</div>
				</div>
			</div>
			
		</div>
	</div>

	<div class="box">
		<div class="box-heading">
			<span>专题</span>
		</div>
		<div class="box-content">
					</div>
	</div>

	<div class="box box-gallery3">
		<div class="box-heading">
			<span>随机推荐</span>
		</div>
		<div class="box-content clearfix">


		</div>
	</div>

</aside>
      </div>
    </div>
    <!-- /.container -->

    <div id="copyright">
      <div class="pull-left">
        &#169; 2024 憋错料        | info#biecuoliao.com        | 10 q. 0.033 s.
      </div>

    </div>

  </div><!--/.wrapper -->


  <div style=" display: none ";>
  </div>


</body>
</html>
